// Popis: Jednoduchy filtr
// Autor: VasaM
// Licence: CC BY 4.0 CZ

var showDisabled = undefined;
var showWaypoints = true;


// Rozsiri filtracni panel
function updateFilterPanel() {
	// Pridam preinace
	addFilter('Disabled', 'plugin/SimpleFilters/disabled.png', 'disable_switch', 1);
	addFilter('Waypoints', 'plugin/SimpleFilters/waypoints.png', 'waypoint_switch');


	// Zareistruji obsluhu
	$("#disable_switch").setTheSwitch({
		action: 'noset',
		onClickOn: function(e) {showDisabled = true; load_ajax();},
		onClickNoSet: function(e) {showDisabled = undefined; load_ajax();},
		onClickOff: function(e) {showDisabled = false; load_ajax();}
	});

	$("#waypoint_switch").setTheSwitch({
		steps: 2,
		action: 'on',
		onClickOn:  function(e) {showWaypoints = true; load_ajax();},
		onClickOff: function(e) {showWaypoints = false; load_ajax();}
	});
	
}



// True pokud se ma ikona kese skryt
function filterCache() {
	var item = arguments[0][1];

	// Skryji disablované kese
	if (showDisabled == false && item.cs == 1) {
		return true;
	}
	if (showDisabled == true && item.cs != 1) {
		return true;
	}

	return false;
}



// True pokud se ma ikona waypointu skryt
function filterWaypoint() {
	var item = arguments[0][1];
	
	// Skryji waypointy, je-li potřeba
	if (! showWaypoints) {
		return true;
	}

	// Skryji disablované waypointy
	if (showDisabled == false && item.cs == 1) {
		return true;
	}
	if (showDisabled == true && item.cs != 1) {
		return true;
	}

	return false;
}


function SimpleFilters_ggm_init() {
	ggmregister('onload', function() {
		icons8Copyright();

		updateFilterPanel();
	});

	ggmregister('filterpoint', filterCache);
	ggmregister('filterwpt', filterWaypoint);

	ggmregister('loadbbox', function() {
		if (groupCache._latlngMarkers.total) {
        	document.getElementById("point_count").innerHTML=(groupCache._latlngMarkers.total);
		}
	});
}
